summaryrefslogtreecommitdiffstats
path: root/ci/upload_artifacts.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/upload_artifacts.sh')
-rwxr-xr-xci/upload_artifacts.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/ci/upload_artifacts.sh b/ci/upload_artifacts.sh
new file mode 100755
index 0000000..765a336
--- /dev/null
+++ b/ci/upload_artifacts.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# log info to console
+echo "Uploading the OVS $VERSION RPM artifacts. "
+echo "-----------------------------------------"
+echo
+
+export RPMFILE_D=openvswitch-debuginfo-$VERSION-1.x86_64.rpm
+export RPMFILE=openvswitch-$VERSION-1.x86_64.rpm
+
+# upload artifact and additional files to google storage
+echo gsutil cp $TMP_RELEASE_DIR/$RPMFILE_D gs://artifacts.opnfv.org/ovsnfv/opnfv-$DATE-$RPMFILE_D
+gsutil cp $TMP_RELEASE_DIR/$RPMFILE_D gs://artifacts.opnfv.org/ovsnfv/opnfv-$DATE-$RPMFILE_D
+
+echo gsutil cp $TMP_RELEASE_DIR/$RPMFILE gs://artifacts.opnfv.org/ovsnfv/opnfv-$DATE-$RPMFILE
+gsutil cp $TMP_RELEASE_DIR/$RPMFILE gs://artifacts.opnfv.org/ovsnfv/opnfv-$DATE-$RPMFILE
+
+echo
+echo "------------------------------------------------------"
+echo "Done!"
+echo "Artifacts are available as http://artifacts.opnfv.org/ovsnfv/opnfv-$DATE-$RPMFILE"